summaryrefslogtreecommitdiff
path: root/dev-cpp
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-07-14 13:32:19 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-07-14 13:32:19 +0000
commitde2c0a90ed64b4f061481f72d52d866ae18059ef (patch)
tree6764be0746f4a2ffe5f3635f1a9dc6854ce8a80e /dev-cpp
parent2e24906d653e49866b81ffa8bf96137e0f3332eb (diff)
downloadbaldeagleos-repo-de2c0a90ed64b4f061481f72d52d866ae18059ef.tar.gz
baldeagleos-repo-de2c0a90ed64b4f061481f72d52d866ae18059ef.tar.xz
baldeagleos-repo-de2c0a90ed64b4f061481f72d52d866ae18059ef.zip
Adding metadata
Diffstat (limited to 'dev-cpp')
-rw-r--r--dev-cpp/sol2/Manifest1
-rw-r--r--dev-cpp/sol2/files/sol2-3.2.2-catch-depend.patch27
-rw-r--r--dev-cpp/sol2/files/sol2-3.2.2-gcc11.patch10
-rw-r--r--dev-cpp/sol2/files/sol2-3.2.2-luajit-pkgconf.patch17
-rw-r--r--dev-cpp/sol2/metadata.xml20
-rw-r--r--dev-cpp/sol2/sol2-3.2.2.ebuild80
6 files changed, 155 insertions, 0 deletions
diff --git a/dev-cpp/sol2/Manifest b/dev-cpp/sol2/Manifest
new file mode 100644
index 000000000000..88055ed75b0e
--- /dev/null
+++ b/dev-cpp/sol2/Manifest
@@ -0,0 +1 @@
+DIST sol2-3.2.2.tar.gz 8531029 BLAKE2B 65fd220f5109e4917d06d5ef906ceccb7e292276f69bd49dfd826089a77e566af1811fdf660ffbfbd2437dca4b86ef5c4790dace9029805926e1ee0445b2e965 SHA512 e5a739b37aea7150f141f6a003c2689dd33155feed5bb3cf2569abbfe9f0062eacdaaf346be523d627f0e491b35e68822c80e1117fa09ece8c9d8d5af09fdbec
diff --git a/dev-cpp/sol2/files/sol2-3.2.2-catch-depend.patch b/dev-cpp/sol2/files/sol2-3.2.2-catch-depend.patch
new file mode 100644
index 000000000000..2da3c00c1612
--- /dev/null
+++ b/dev-cpp/sol2/files/sol2-3.2.2-catch-depend.patch
@@ -0,0 +1,27 @@
+Use catch library from system
+
+--- a/tests/runtime_tests/CMakeLists.txt
++++ b/tests/runtime_tests/CMakeLists.txt
+@@ -22,12 +22,6 @@
+
+ # # # # sol3 tests - runtime tests
+
+-if (CMAKE_GENERATOR MATCHES "Visual Studio 14 2015")
+- find_package(Catch 1.12.1 REQUIRED)
+-else()
+- find_package(Catch REQUIRED)
+-endif()
+-
+ file(GLOB SOL2_RUNTIME_TEST_SOURCES source/*.cpp)
+ source_group(test_sources FILES ${SOL2_RUNTIME_TEST_SOURCES})
+
+@@ -38,7 +32,8 @@ function(CREATE_TEST test_target_name test_name target_sol)
+ OUTPUT_NAME ${test_name}
+ EXPORT_NAME sol2::${test_name})
+ target_link_libraries(${test_target_name}
+- PUBLIC Threads::Threads ${LUA_LIBRARIES} ${CATCH_LIBRARIES} ${target_sol})
++ PUBLIC Threads::Threads ${LUA_LIBRARIES} ${target_sol})
++ target_include_directories(${test_target_name} PRIVATE ${CATCH_INC_DIR})
+
+ if (MSVC)
+ if (NOT CMAKE_COMPILER_ID MATCHES "Clang")
diff --git a/dev-cpp/sol2/files/sol2-3.2.2-gcc11.patch b/dev-cpp/sol2/files/sol2-3.2.2-gcc11.patch
new file mode 100644
index 000000000000..cc8c6bb1b4f7
--- /dev/null
+++ b/dev-cpp/sol2/files/sol2-3.2.2-gcc11.patch
@@ -0,0 +1,10 @@
+Add missing include needed for tests (and possibly consumers) with gcc11.
+
+Fixed upstream in:
+https://github.com/ThePhD/sol2/commit/e5e6466e09b632677d24a8f204d6a0ea0a8862b1
+--- a/include/sol/stack_core.hpp
++++ b/include/sol/stack_core.hpp
+@@ -42,2 +42,3 @@
+ #include <string>
++#include <limits>
+ #include <algorithm>
diff --git a/dev-cpp/sol2/files/sol2-3.2.2-luajit-pkgconf.patch b/dev-cpp/sol2/files/sol2-3.2.2-luajit-pkgconf.patch
new file mode 100644
index 000000000000..9b9c9f101769
--- /dev/null
+++ b/dev-cpp/sol2/files/sol2-3.2.2-luajit-pkgconf.patch
@@ -0,0 +1,17 @@
+Use the lua version selected by lua eclass
+
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -188,7 +188,11 @@ if (SOL2_IS_TOP_LEVEL AND (SOL2_DO_TESTS OR SOL2_DO_EXAMPLES))
+
+ string(TOLOWER ${SOL2_LUA_VERSION} NORMALIZED_LUA_VERSION)
+ # Find way to get Lua: build if requested, or attempt to build if no matching version is found
+- if (SOL2_BUILD_LUA)
++ if (TRUE)
++ find_package(PkgConfig REQUIRED)
++ pkg_check_modules(LUA REQUIRED lua IMPORTED_TARGET)
++ set(LUA_LIBRARIES PkgConfig::LUA)
++ elseif (SOL2_BUILD_LUA)
+ find_package(LuaBuild REQUIRED COMPONENTS ${SOL2_LUA_VERSION})
+ elseif (NOT SOL2_LUA_VERSION)
+ find_package(LuaBuild REQUIRED)
diff --git a/dev-cpp/sol2/metadata.xml b/dev-cpp/sol2/metadata.xml
new file mode 100644
index 000000000000..d58822c84e07
--- /dev/null
+++ b/dev-cpp/sol2/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexey+gentoo@asokolov.org</email>
+ <name>Alexey Sokolov</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>games@gentoo.org</email>
+ <name>Gentoo Games Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">ThePhD/sol2</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-cpp/sol2/sol2-3.2.2.ebuild b/dev-cpp/sol2/sol2-3.2.2.ebuild
new file mode 100644
index 000000000000..f9cb437de6f8
--- /dev/null
+++ b/dev-cpp/sol2/sol2-3.2.2.ebuild
@@ -0,0 +1,80 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+inherit cmake lua
+
+DESCRIPTION="Header-only C++ <-> Lua API wrapper"
+HOMEPAGE="https://github.com/ThePhD/sol2"
+SRC_URI="https://github.com/ThePhD/sol2/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+REQUIRED_USE="test? ( ${LUA_REQUIRED_USE} )"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ test? (
+ ${LUA_DEPS}
+ dev-cpp/catch:0
+ )
+"
+BDEPEND="
+ test? (
+ virtual/pkgconfig
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-gcc11.patch
+ "${FILESDIR}"/${P}-luajit-pkgconf.patch
+ "${FILESDIR}"/${P}-catch-depend.patch
+)
+
+src_prepare() {
+ # TODO: remove this sed on next bump
+ sed -i -e 's/-Werror//' \
+ tests/runtime_tests/CMakeLists.txt \
+ tests/regression_tests/1011/CMakeLists.txt \
+ tests/config_tests/function_pointers/CMakeLists.txt \
+ examples/customization/CMakeLists.txt \
+ examples/CMakeLists.txt || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ cmake_src_configure
+
+ if use test; then
+ sol2_configure_wrapper() {
+ local mycmakeargs=(
+ -DSOL2_BUILD_LUA=no
+ -DSOL2_TESTS=yes
+ -DSOL2_LUA_VERSION="${ELUA}"
+ -DCATCH_INC_DIR="${ESYSROOT}/usr/include/catch2"
+ )
+ cmake_src_configure
+ }
+ lua_foreach_impl sol2_configure_wrapper
+ fi
+}
+
+src_compile() {
+ use test && lua_foreach_impl cmake_src_compile
+}
+
+src_test() {
+ sol2_test_wrapper() {
+ if [[ ${ELUA} == luajit ]]; then
+ einfo "Skipping test due to https://github.com/ThePhD/sol2/issues/1221"
+ else
+ cmake_src_test
+ fi
+ }
+ lua_foreach_impl sol2_test_wrapper
+}